<ion-header [translucent]="true" no-border>
  <ion-toolbar mode="ios">
    <ion-title>{{title}}</ion-title>
    <ion-buttons slot="primary">
      <ion-button (click)="regresar()">
        <ion-icon slot="icon-only" name="arrow-back-circle-outline"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>
<ion-content padding>
  <form [formGroup]="form" (ngSubmit)="onSubmit()">

    <ion-list>
      <ion-grid>
        <ion-row>
          <ion-col>
            <ion-item lines="none">
              <ion-label position="floating">Tipo de Servicio</ion-label>
              <ion-select placeholder="Selecciona" formControlName="service_type" interface="action-sheet">
                <ion-select-option *ngFor="let services of serviceTypes"
                                   [value]="services.value">{{services.label}}</ion-select-option>
                <ion-select-option *ngIf="serviceTypes.length===0"
                                   value="ninguno">No se encontraron resultados
                </ion-select-option>
              </ion-select>
            </ion-item>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col size="12">
            <ion-item lines="none">
              <ion-label position="floating">Jornada</ion-label>
              <ion-select placeholder="Selecciona" formControlName="working_day"
                          [disabled]="!form.controls.service_type.value">
                <ion-select-option *ngFor="let days of workingDays"
                                   [value]="days.value">{{days.label}}</ion-select-option>
                <ion-select-option *ngIf="workingDays.length===0"
                                   value="ninguno">No se encontraron resultados
                </ion-select-option>
              </ion-select>
            </ion-item>
          </ion-col>
          <ion-col size="12">
            <ion-segment (click)="changeTypeState()" formControlName="type" [disabled]="!form.controls.working_day.value">
              <ion-segment-button *ngFor="let type of types" value="{{type.value | integer}}">
                <ion-label>{{type.label}}</ion-label>
              </ion-segment-button>
            </ion-segment>
          </ion-col>

        </ion-row>

        <ion-row>
          <ion-col size="12">
            <ion-item lines="none">
              <ion-label position="floating">Servicio</ion-label>
              <ion-select placeholder="Selecciona" formControlName="service" [disabled]="!form.controls.type.value"
                          interface="action-sheet">
                <ion-select-option *ngFor="let service of services"
                                   [value]="service.value">{{service.label}}</ion-select-option>
                <ion-select-option *ngIf="services.length===0"
                                   value="ninguno">No se encontraron resultados
                </ion-select-option>
              </ion-select>
            </ion-item>
          </ion-col>
          <ion-col size="12">
            <ion-item>
              <ion-label position="floating">Direccion</ion-label>
              <ion-select placeholder="Selecciona" formControlName="customer_address">
                <ion-select-option *ngFor="let address of addresses"
                                   [value]="address.value">{{address.label}}</ion-select-option>
              </ion-select>
            </ion-item>
          </ion-col>
        </ion-row>
        <ion-row *ngIf="price">
          <ion-col>
            <ion-item lines="none">
              <ion-label class="ion-text-center price">Total: ${{ price | currency: '' : '' : '1.0-0'}}</ion-label>
            </ion-item>
          </ion-col>
        </ion-row>
        <ion-row *ngIf="quantity">
          <ion-col>
            <ion-item>
              <ion-label>Cantidad de servicios:</ion-label>
              <label class="badge badge-primary ml-2 f-12" *ngIf="quantity">{{ quantity }}</label>
            </ion-item>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col formArrayName="days" *ngFor="let day of daysArray.controls; let i = index"
                   [size]="daysArray.controls.length>1?'6':'12'">
            <ion-item [formGroupName]="day.value.index" *ngIf="day.value.type == 1">
              <ion-label position="stacked">Fecha Servicio {{ i + 1 }}</ion-label>
              <ion-badge *ngIf="day.get('date').hasError('repeatedDate')" color="danger">*</ion-badge>
              <ion-datetime formControlName="date" placeholder="YYYY-MM-DD" displayFormat="YYYY-MM-DD"
                            [min]="utils.getFormatDate()" max="2200" display-timezone="utc"></ion-datetime>
              <ion-text *ngIf="day.get('date').hasError('required')">
                La fecha es requerida
              </ion-text>

            </ion-item>
            <ion-item [formGroupName]="day.value.index" *ngIf="day.value.type == 2">
              <ion-label>{{ day.value.day }}</ion-label>
              <ion-toggle [value]="day.value.day" formControlName="selected"></ion-toggle>
            </ion-item>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col>
            <ion-item lines="none">
              <ion-text class="ion-text-center" *ngIf="form.get('days').hasError('invalidQuantity') && !form.get('days').touched">La cantidad
                de días seleccionados no corresponde con la cantidad de servicios
              </ion-text>
            </ion-item>
          </ion-col>
        </ion-row>

      </ion-grid>

    </ion-list>

    <ion-button *ngIf="!flagView" class="ion-margin" expand="block" type="submit" [disabled]="!form.valid">
      {{btnSubmit}}
    </ion-button>

  </form>

</ion-content>
